## org.eclipse.datatools.modelbase.sql.query.impl
Class ValueExpressionCombinedImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionCombinedImpl

All Implemented Interfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionCombined

public class ValueExpressionCombinedImpl
extends QueryValueExpressionImpl
implements ValueExpressionCombined

An implementation of the model object 'SQL Value Expression Combined'.

The following features are implemented:

- `Combined Operator`
- `Left Value Expr`
- `Right Value Expr`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetLeftValueExpr(QueryValueExpression newLeftValueExpr, NotificationChain msgs)`
`NotificationChain` `basicSetRightValueExpr(QueryValueExpression newRightValueExpr, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`ValueExpressionCombinedOperator` `getCombinedOperator()`
`QueryValueExpression` `getLeftValueExpr()`
`QueryValueExpression` `getRightValueExpr()`
`void` `setCombinedOperator(ValueExpressionCombinedOperator newCombinedOperator)`
`void` `setLeftValueExpr(QueryValueExpression newLeftValueExpr)`
`void` `setRightValueExpr(QueryValueExpression newRightValueExpr)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl

`basicSetBasicLeft, basicSetBasicRight, basicSetBetweenLeft, basicSetBetweenRight1, basicSetBetweenRight2, basicSetDataType, basicSetGroupingExpr, basicSetInValueListLeft, basicSetInValueListRight, basicSetInValueRowSelectLeft, basicSetInValueSelectLeft, basicSetLikeEscape, basicSetLikeMatching, basicSetLikePattern, basicSetNest, basicSetOrderByValueExpr, basicSetPredicateNull, basicSetQuantifiedRowSelectLeft, basicSetQuantifiedValueSelectLeft, basicSetResultColumn, basicSetUpdateSourceExprList, basicSetValueExprCaseElse, basicSetValueExprCaseSearchContent, basicSetValueExprCaseSimple, basicSetValueExprCaseSimpleContentResult, basicSetValueExprCaseSimpleContentWhen, basicSetValueExprCast, basicSetValueExprCombinedLeft, basicSetValueExprCombinedRight, basicSetValueExprFunction, basicSetValueExprLabeledDuration, basicSetValuesRow, eBasicRemoveFromContainerFeature, getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getSQL, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getCombinedOperator

    public ValueExpressionCombinedOperator getCombinedOperator()

  Specified by:
    `getCombinedOperator` in interface `ValueExpressionCombined`
  Returns:
    the value of the 'Combined Operator' attribute.
  See Also:
    `ValueExpressionCombinedOperator`, `ValueExpressionCombined.setCombinedOperator(ValueExpressionCombinedOperator)`, `SQLQueryModelPackage.getValueExpressionCombined_CombinedOperator()`

### setCombinedOperator

    public void setCombinedOperator(ValueExpressionCombinedOperator newCombinedOperator)

  Specified by:
    `setCombinedOperator` in interface `ValueExpressionCombined`
  Parameters:
    `newCombinedOperator` - the new value of the 'Combined Operator' attribute.
  See Also:
    `ValueExpressionCombinedOperator`, `ValueExpressionCombined.getCombinedOperator()`

### getLeftValueExpr

    public QueryValueExpression getLeftValueExpr()

  Specified by:
    `getLeftValueExpr` in interface `ValueExpressionCombined`
  Returns:
    the value of the 'Left Value Expr' containment reference.
  See Also:
    `ValueExpressionCombined.setLeftValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionCombined_LeftValueExpr()`, `QueryValueExpression.getValueExprCombinedLeft()`

### basicSetLeftValueExpr

    public NotificationChain basicSetLeftValueExpr(QueryValueExpression newLeftValueExpr,
                                                   NotificationChain msgs)

### setLeftValueExpr

    public void setLeftValueExpr(QueryValueExpression newLeftValueExpr)

  Specified by:
    `setLeftValueExpr` in interface `ValueExpressionCombined`
  Parameters:
    `newLeftValueExpr` - the new value of the 'Left Value Expr' containment reference.
  See Also:
    `ValueExpressionCombined.getLeftValueExpr()`

### getRightValueExpr

    public QueryValueExpression getRightValueExpr()

  Specified by:
    `getRightValueExpr` in interface `ValueExpressionCombined`
  Returns:
    the value of the 'Right Value Expr' containment reference.
  See Also:
    `ValueExpressionCombined.setRightValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionCombined_RightValueExpr()`, `QueryValueExpression.getValueExprCombinedRight()`

### basicSetRightValueExpr

    public NotificationChain basicSetRightValueExpr(QueryValueExpression newRightValueExpr,
                                                    NotificationChain msgs)

### setRightValueExpr

    public void setRightValueExpr(QueryValueExpression newRightValueExpr)

  Specified by:
    `setRightValueExpr` in interface `ValueExpressionCombined`
  Parameters:
    `newRightValueExpr` - the new value of the 'Right Value Expr' containment reference.
  See Also:
    `ValueExpressionCombined.getRightValueExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QueryValueExpressionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QueryValueExpressionImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `QueryValueExpressionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `QueryValueExpressionImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `QueryValueExpressionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `QueryValueExpressionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `QueryValueExpressionImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.